export default function createAdapterStore(session: any, defaultTtl?: number): {
    new (options: any): {
        [x: string]: any;
        adapter: any;
        /**
         * Attempt to fetch session by the given `sid`.
         *
         * @param {String} sid Session ID
         * @param {Function} fn callback
         * @api public
         */
        get(sid: string, fn: Function): void;
        /**
         * Commit the given `sess` object associated with the given `sid`.
         *
         * @param {String} sid Session ID
         * @param {Number} ttl Time to live
         * @param {Session} sess
         * @param {Function} fn callback
         * @api public
         */
        set(sid: string, ttl: number, sess: Session, fn: Function): void;
        /**
         * Destroy the session associated with the given `sid`.
         *
         * @param {String} sid Session ID
         * @param {Function} fn callback
         * @api public
         */
        destroy(sid: string, fn: Function): void;
    };
    [x: string]: any;
};
//# sourceMappingURL=session.d.ts.map